# 
#   makefile for the program         spheres
# 

################################################################
#
#    add the name of  YOUR  compiler/operating system
#    and modify the compiler options FFLAGS  ---   if necessary   
#
#    NOTE: the executable will be copied to the parent 
#          directory  (../)  of your recent working directory
#
################################################################
include ../make.inc
################################################################

RM = rm -f
CP = cp

BINDIR = ..

.SUFFIXES: .o .f

.f.o:
	$(FC) $(FFLAGS) -c $<

all: spheres


# program modules used 

OB=radii.o   defmtr.o empty.o utils.o  

spheres: $(OB)
	$(FC) $(LFLAGS) -o spheres $(OB)
	$(CP) spheres $(BINDIR)/spheres$(VERS)
clean:
	rm -f *.o  spheres  $(BINDIR)/spheres$(VERS)
